Agents
Archive Agent workspace entries
Archive Agent workspace entries. The request enforces Agent roles, ownership, workspace boundaries, and lifecycle state.
PUT
Archive Agent workspace entries
Last modified on September 5, 2026
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Archive Agent workspace entries. The request enforces Agent roles, ownership, workspace boundaries, and lifecycle state.
curl --request PUT \
--url https://api.revoengine.com/api/v1/agents/{agentId}/storage/bulk/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"storageEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 1
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entries: [{storageEntryId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', version: 1}]
})
};
fetch('https://api.revoengine.com/api/v1/agents/{agentId}/storage/bulk/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/{agentId}/storage/bulk/archive"
payload = { "entries": [
{
"storageEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 1
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)Bearer JWT token or API Key (sk-*).
Entry roots to process. Folder descendants are processed eagerly.
1 - 100 elementsShow child attributes
curl --request PUT \
--url https://api.revoengine.com/api/v1/agents/{agentId}/storage/bulk/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"storageEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 1
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entries: [{storageEntryId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', version: 1}]
})
};
fetch('https://api.revoengine.com/api/v1/agents/{agentId}/storage/bulk/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/{agentId}/storage/bulk/archive"
payload = { "entries": [
{
"storageEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 1
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)